package com.foreverwin.mesnac.integration.dto;


import com.sap.me.common.ItemType;
import com.sap.me.common.MaterialType;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ItemSyncRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "ITEM",
        "REVISION",
        "MAKTX",
        "STATUS",
        "ITEM_TYPE",
        "PROCUREMENT_TYPE",
        "LOT_SIZE",
        "UNIT_OF_MEASURE",
        "ASSY_DATA_TYPE",
        "INV_ASSY_DATA_TYPE",
        "INGRED_TYPE",
        "WEIGHT",
        "MAT_SPEC",
        "MODEL",
        "TEXTURE",
        "DRAWING",
        "DRAWING_REVISION"
})
public class ItemSyncRequest {

    @XmlElement(name = "TRANID")
    private String TRANID;

    @XmlElement(name = "DATE_TIME")
    private String DATE_TIME;

    @XmlElement(name = "SITE")
    private String SITE;
    //物料编号
    @XmlElement(name = "ITEM")
    private String ITEM;
    //物料版本：默认为A
    @XmlElement(name = "REVISION")
    private String REVISION;
    //物料描述
    @XmlElement(name = "MAKTX")
    private String MAKTX;
    //状态
    @XmlElement(name = "STATUS")
    private String STATUS;
    //物料类型
    @XmlElement(name = "ITEM_TYPE")
    private String ITEM_TYPE;
    //采购类型
    @XmlElement(name = "PROCUREMENT_TYPE")
    private String PROCUREMENT_TYPE;
    //批次大小
    @XmlElement(name = "LOT_SIZE")
    private String LOT_SIZE;
    //单位
    @XmlElement(name = "UNIT_OF_MEASURE")
    private String UNIT_OF_MEASURE;

    @XmlElement(name = "ASSY_DATA_TYPE")
    private String ASSY_DATA_TYPE;

    @XmlElement(name = "INV_ASSY_DATA_TYPE")
    private String INV_ASSY_DATA_TYPE;
    //辅料类型：0或者空则不是辅料，刀具-1，其他-9
    @XmlElement(name = "INGRED_TYPE")
    private String INGRED_TYPE;
    //重量
    @XmlElement(name = "WEIGHT")
    private String WEIGHT;
    //规格
    @XmlElement(name = "MAT_SPEC")
    private String MAT_SPEC;
    //型号
    @XmlElement(name = "MODEL")
    private String MODEL;
    //材质
    @XmlElement(name = "TEXTURE")
    private String TEXTURE;
    //图号
    @XmlElement(name = "DRAWING")
    private String DRAWING;
    //图号版本
    @XmlElement(name = "DRAWING_REVISION")
    private String DRAWING_REVISION;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getITEM() {
        return ITEM;
    }

    public void setITEM(String ITEM) {
        this.ITEM = ITEM;
    }

    public String getREVISION() {
        return REVISION;
    }

    public void setREVISION(String REVISION) {
        this.REVISION = REVISION;
    }

    public String getMAKTX() {
        return MAKTX;
    }

    public void setMAKTX(String MAKTX) {
        this.MAKTX = MAKTX;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getITEM_TYPE() {
        return ITEM_TYPE;
    }

    public void setITEM_TYPE(String ITEM_TYPE) {
        this.ITEM_TYPE = ITEM_TYPE;
    }

    public String getPROCUREMENT_TYPE() {
        return PROCUREMENT_TYPE;
    }

    public void setPROCUREMENT_TYPE(String PROCUREMENT_TYPE) {
        this.PROCUREMENT_TYPE = PROCUREMENT_TYPE;
    }

    public String getLOT_SIZE() {
        return LOT_SIZE;
    }

    public void setLOT_SIZE(String LOT_SIZE) {
        this.LOT_SIZE = LOT_SIZE;
    }

    public String getUNIT_OF_MEASURE() {
        return UNIT_OF_MEASURE;
    }

    public void setUNIT_OF_MEASURE(String UNIT_OF_MEASURE) {
        this.UNIT_OF_MEASURE = UNIT_OF_MEASURE;
    }

    public String getASSY_DATA_TYPE() {
        return ASSY_DATA_TYPE;
    }

    public void setASSY_DATA_TYPE(String ASSY_DATA_TYPE) {
        this.ASSY_DATA_TYPE = ASSY_DATA_TYPE;
    }

    public String getINV_ASSY_DATA_TYPE() {
        return INV_ASSY_DATA_TYPE;
    }

    public void setINV_ASSY_DATA_TYPE(String INV_ASSY_DATA_TYPE) {
        this.INV_ASSY_DATA_TYPE = INV_ASSY_DATA_TYPE;
    }

    public String getINGRED_TYPE() {
        return INGRED_TYPE;
    }

    public void setINGRED_TYPE(String INGRED_TYPE) {
        this.INGRED_TYPE = INGRED_TYPE;
    }

    public String getWEIGHT() {
        return WEIGHT;
    }

    public void setWEIGHT(String WEIGHT) {
        this.WEIGHT = WEIGHT;
    }

    public String getMAT_SPEC() {
        return MAT_SPEC;
    }

    public void setMAT_SPEC(String MAT_SPEC) {
        this.MAT_SPEC = MAT_SPEC;
    }

    public String getMODEL() {
        return MODEL;
    }

    public void setMODEL(String MODEL) {
        this.MODEL = MODEL;
    }

    public String getTEXTURE() {
        return TEXTURE;
    }

    public void setTEXTURE(String TEXTURE) {
        this.TEXTURE = TEXTURE;
    }

    public String getDRAWING() {
        return DRAWING;
    }

    public void setDRAWING(String DRAWING) {
        this.DRAWING = DRAWING;
    }

    public String getDRAWING_REVISION() {
        return DRAWING_REVISION;
    }

    public void setDRAWING_REVISION(String DRAWING_REVISION) {
        this.DRAWING_REVISION = DRAWING_REVISION;
    }

    @Override
    public String toString() {
        return "ItemSyncRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", ITEM='" + ITEM + '\'' +
                ", REVISION='" + REVISION + '\'' +
                ", MAKTX='" + MAKTX + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", ITEM_TYPE='" + ITEM_TYPE + '\'' +
                ", PROCUREMENT_TYPE='" + PROCUREMENT_TYPE + '\'' +
                ", LOT_SIZE='" + LOT_SIZE + '\'' +
                ", UNIT_OF_MEASURE='" + UNIT_OF_MEASURE + '\'' +
                ", ASSY_DATA_TYPE='" + ASSY_DATA_TYPE + '\'' +
                ", INV_ASSY_DATA_TYPE='" + INV_ASSY_DATA_TYPE + '\'' +
                ", INGRED_TYPE='" + INGRED_TYPE + '\'' +
                ", WEIGHT='" + WEIGHT + '\'' +
                ", MAT_SPEC='" + MAT_SPEC + '\'' +
                ", MODEL='" + MODEL + '\'' +
                ", TEXTURE='" + TEXTURE + '\'' +
                ", DRAWING='" + DRAWING + '\'' +
                ", DRAWING_REVISION='" + DRAWING_REVISION + '\'' +
                '}';
    }
}
